<?php

include("config.php");
include("autoconfig.php");
include("controllers/functions.php");
include("controllers/database.php");

if(isset($_GET['page'])) $page = htmlspecialchars(addslashes($_GET['page'])); else 
{
    $page = 1;
}

session_start();
        
if (!isset($_SESSION['auth'])) 
{
    $page = 0;
}
else if((!isset($page)) && ($page > 20))
{
    $page = 1;
}

if((($page != 0) && (SANTI_START != "0")) && ($page != 20))
{
    $page=19;
}

switch ($page)
{
    case "0": 
    {
        $title = "САНТИ - антивирус для сайтов | Вход";
        include ("templates/header.tpl.php");
        include ("templates/login.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "1": 
    {
        $title = "САНТИ - антивирус для сайтов | Главная";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/main.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "2": 
    {
        $title = "САНТИ - антивирус для сайтов | Автопилот";
        define('AFILETIME', autopilots_get_time(1)); //файловый автопилот
        define('ADBTIME', autopilots_get_time(2)); //автопилот скана бд
        define('ABUTIME', autopilots_get_time(3)); //автопилот бекапинга файлов
        define('ASECHTIME', autopilots_get_time(4)); //автопилот проверки ПС
        define('AAVSTIME', autopilots_get_time(5)); //автопилот проверки по AV
        define('ABUDTIME', autopilots_get_time(7)); //автопилот бекапинга БД
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/autopilot.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "8": 
    {
        $title = "САНТИ - антивирус для сайтов | Вручную";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/hand.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "12": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "121": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | Редактор файлов";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_feditor.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "13": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | Генератор паролей";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_gen.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "14": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | Сканер прав папок и файлов";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_chmod.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "15": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | .ftpaccess конфигуратор";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_ftpacc.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "16": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | Бекап";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_bu.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "161": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | Блокиратор сайта";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_block.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "162": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | Date-поиск файлов";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_fsearch.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "163": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | Поиск и удаление вредоносных вставок";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_cleaner.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "17": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | PHP info";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_phpinfo.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "18": 
    {
        $title = "САНТИ - антивирус для сайтов | Утилиты | Новости уязвимостей";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/utils_news.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "19": 
    {
        $title = "САНТИ - антивирус для сайтов | Настройки";
        include ("templates/header.tpl.php");
        include ("templates/top_menu.tpl.php");
        include ("templates/left_menu.tpl.php");
        include ("templates/settings.tpl.php");
        include ("templates/footer.tpl.php");
    } break;
    case "20": 
    {
        unset($_SESSION['auth']);
        unset($_SESSION['last_page']);   
        session_destroy();
        header( 'Location: /'.SANTI_PATH, true, 303 );
    } break;
    default:
    {
        $title = "САНТИ - антивирус для сайтов | Вход";
        $title = "Главная страница";
        include ("templates/header.tpl.php");
        include ("templates/login.tpl.php");
        include ("templates/footer.tpl.php");
    }
    break;
}

?>


	